> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Returns a paginated list of the user's bank accounts.


# List all bank accounts



## OpenAPI

````yaml get /v2/open-banking/bank-accounts
openapi: 3.0.0
info:
  title: Open Banking API
  version: 1.0.0
  description: >
    Open banking endpoints for connect URLs, bank accounts, institutions, and
    banking reports.
servers: []
security:
  - basicAuth: []
paths:
  /v2/open-banking/bank-accounts:
    get:
      summary: List all bank accounts
      description: >
        Returns a paginated list of the user's bank accounts.


        Each result is a bank account object with two bank connection error
        fields:

        - `error_code` - Bank connection error code. Returned when
        `aggregation_status_code` indicates an error; otherwise `null`.

        - `error_message` - Bank connection error message. Returned when
        `aggregation_status_code` indicates an error; otherwise `null`.
      parameters:
        - in: query
          name: user
          required: true
          schema:
            type: string
            format: uuid
          description: ID of the user.
        - in: query
          name: limit
          schema:
            type: integer
          description: >-
            Number of bank account objects returned [per
            page](/api-guide/overview#pagination). Default: 10. Maximum: 200.
        - in: query
          name: cursor
          schema:
            type: string
          description: >-
            The URL returned in `next` or `previous` used to retrieve another
            [page](/api-guide/overview#pagination) of results.
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  next:
                    type: string
                    format: uri
                    nullable: true
                    description: URL for the next page of results, if available.
                  previous:
                    type: string
                    format: uri
                    nullable: true
                    description: URL for the previous page of results, if available.
                  results:
                    type: array
                    items:
                      type: object
                      additionalProperties: true
                      properties:
                        id:
                          type: string
                          description: ID of the bank account.
                        user:
                          type: string
                          format: uuid
                          description: ID of the user associated with the bank account.
                        account_number_display:
                          type: string
                          description: Display account identifier.
                        name:
                          type: string
                          description: Account name.
                        type:
                          type: string
                          description: Bank account type.
                          enum:
                            - checking
                            - savings
                            - cd
                            - moneyMarket
                            - creditCard
                            - lineOfCredit
                            - investment
                            - investmentTaxDeferred
                            - employeeStockPurchasePlan
                            - ira
                            - 401k
                            - roth
                            - 403b
                            - 529plan
                            - rollover
                            - ugma
                            - utma
                            - keogh
                            - 457plan
                            - 401a
                            - brokerageAccount
                            - educationSavings
                            - healthSavingsAccount
                            - pension
                            - profitSharingPlan
                            - roth401k
                            - sepIRA
                            - simpleIRA
                            - thriftSavingsPlan
                            - variableAnnuity
                            - cryptocurrency
                            - mortgage
                            - loan
                            - studentLoan
                            - studentLoanGroup
                            - studentLoanAccount
                        aggregation_status_code:
                          type: integer
                          description: >
                            Status code of the most recent aggregation attempt.


                            See [Aggregation status
                            codes](/api-reference/bank-accounts#aggregation-status-codes).
                        status:
                          type: string
                          description: Bank account status.
                          enum:
                            - pending
                            - active
                        institution:
                          type: string
                          description: ID of the financial institution.
                        aggregation_success_date:
                          type: string
                          format: date-time
                          description: >-
                            Timestamp ([ISO
                            8601](https://en.wikipedia.org/wiki/ISO_8601)) of
                            the last successful aggregation.
                        aggregation_attempt_date:
                          type: string
                          format: date-time
                          description: >-
                            Timestamp ([ISO
                            8601](https://en.wikipedia.org/wiki/ISO_8601)) of
                            the last aggregation attempt.
                        created_date:
                          type: string
                          format: date-time
                          description: >-
                            Timestamp ([ISO
                            8601](https://en.wikipedia.org/wiki/ISO_8601)) for
                            when the bank account was created.
                        currency:
                          type: string
                          description: Currency code.
                        institution_login:
                          type: integer
                          description: ID of the institution login.
                        display_position:
                          type: integer
                          description: >-
                            Display position of the account at the financial
                            institution.
                        parent_bank_account:
                          type: string
                          description: ID of the parent bank account.
                        linked_account_date:
                          type: string
                          format: date-time
                          description: >-
                            Timestamp ([ISO
                            8601](https://en.wikipedia.org/wiki/ISO_8601)) for
                            when the account was linked.
                        error_code:
                          type: string
                          description: Bank connection error code.
                        error_message:
                          type: string
                          description: Bank connection error message.
                        real_account_number_last4:
                          type: string
                          description: Last four digits of the account number.
                        balance:
                          type: number
                          description: Account balance amount.
                        balance_date:
                          type: string
                          format: date-time
                          description: >-
                            Timestamp ([ISO
                            8601](https://en.wikipedia.org/wiki/ISO_8601)) for
                            when the balance was recorded.
                        last_updated_date:
                          type: string
                          format: date-time
                          description: >-
                            Timestamp ([ISO
                            8601](https://en.wikipedia.org/wiki/ISO_8601)) for
                            when the account was last updated.
                        market_segment:
                          type: string
                          enum:
                            - personal
                            - business
                          description: >-
                            Indicates whether the account is personal or
                            business.
                        last_transaction_date:
                          type: string
                          format: date-time
                          description: >-
                            Timestamp ([ISO
                            8601](https://en.wikipedia.org/wiki/ISO_8601)) of
                            the latest transaction.
                        oldest_transaction_date:
                          type: string
                          format: date-time
                          description: >-
                            Timestamp ([ISO
                            8601](https://en.wikipedia.org/wiki/ISO_8601)) of
                            the oldest transaction.
              example:
                results:
                  - id: '8057637863'
                    user: 01975b3b-5ba6-3ec1-2148-f595b6d92614
                    account_number_display: '2203'
                    name: Savings
                    type: savings
                    aggregation_status_code: 0
                    status: active
                    institution: '102168'
                    aggregation_success_date: '2026-06-04T16:57:26.000Z'
                    aggregation_attempt_date: '2026-06-04T16:57:26.000Z'
                    created_date: '2026-06-04T16:57:17.000Z'
                    currency: USD
                    institution_login: 8029158291
                    display_position: 1
                    parent_bank_account: null
                    linked_account_date: '2026-06-04T16:57:22.000Z'
                    error_code: null
                    error_message: null
                    real_account_number_last4: '2203'
                    balance: 22327.3
                    balance_date: '2026-06-04T16:57:26.000Z'
                    last_updated_date: '2026-06-04T16:57:22.000Z'
                    market_segment: personal
                    last_transaction_date: '2026-06-04T16:57:23.000Z'
                    oldest_transaction_date: '2024-06-08T12:00:00.000Z'
                  - id: '8057637864'
                    user: 01975b3b-5ba6-3ec1-2148-f595b6d92614
                    account_number_display: '1111'
                    name: Checking
                    type: checking
                    aggregation_status_code: 0
                    status: active
                    institution: '102168'
                    aggregation_success_date: '2026-06-04T16:57:27.000Z'
                    aggregation_attempt_date: '2026-06-04T16:57:27.000Z'
                    created_date: '2026-06-04T16:57:17.000Z'
                    currency: USD
                    institution_login: 8029158291
                    display_position: 2
                    parent_bank_account: null
                    linked_account_date: '2026-06-04T16:57:22.000Z'
                    error_code: null
                    error_message: null
                    real_account_number_last4: '1111'
                    balance: 9357.24
                    balance_date: '2026-06-04T16:57:27.000Z'
                    last_updated_date: '2026-06-04T16:57:22.000Z'
                    market_segment: personal
                    last_transaction_date: '2026-06-04T16:57:25.000Z'
                    oldest_transaction_date: '2024-06-08T12:00:00.000Z'
                next: >-
                  https://api-sandbox.argyle.com/v2/open-banking/bank-accounts?cursor=ZXhhbXBsZV9jdXJzb3I
                previous: null
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````